using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AprsSharp.Parsers.Aprs;

namespace skyscraper5.Aprs.AprsSharp
{
    class MessageField : InfoField
    {
        public string RawMessage { get; }

        public MessageField(string encodedInfoField)
        {
            RawMessage = encodedInfoField;
        }

        public override string Encode()
        {
            return RawMessage;
        }
    }
}
